PO4A-NORMALIZE.1P(1)

NAME
po4a-normalize - normalize a documentation file by parsing it in po4a, and writing it back

SYNOPSIS
po4a-normalize -f fmt master.doc

DESCRIPTION
The po4a (PO for anything) project goal is to ease translations (and more interestingly, the maintenance of translations) using gettext tools on areas where they were not expected like documentation.

The po4a-normalize script is a debugging tool used to make sure that po4a don't change the document when it's not supposed to. Only use it if you're developing a new module, or if you doubt the sanity of the tools.

The generated document will be written to po4a-normalize.output while the generated POT file will be written to po4a-normalize.po by default, but you can use the --localized and --pot options to change that.

OPTIONS

-o, --option
    Extra option(s) to pass to the format plugin. See the documentation of each plugin for more information about the valid options and their meanings. For example, you could pass '-o tablecells' to the AsciiDoc parser, while the text parser would accept '-o tabs=split'.

-w, --width
    Column at which we should wrap the resulting file if the format supports it (default: 76).

-b, --blank
    Create a blank translated document. The generated translated document will be generated assuming all messages are translated by a space or new line.

    This is useful to check what parts of the document cannot be translated.

    Both --blank and --capitalize can't be specified at the same time.

-C, --capitalize
    Create a translated document and corresponding po-file with original strings translated as their capitalized versions.

    This is useful to check what parts of the document cannot be translated and generate test data for po4a.

    Both --blank and --capitalize can't be specified at the same time.

-h, --help
    Show a short help message.

--help-format
    List the documentation formats understood by po4a.

-f, --format
    Format of the documentation you want to handle. Use the --help-format option to see the list of available formats.

-M, --master-charset
    Charset of the file containing the document to translate.

-l, --localized
    Name of the normalized file to produce (po4a-normalize.output by default).

-p, --pot
    Pot file to produce (po4a-normalize.po by default).

-V, --version
    Display the version of the script and exit.

SEE ALSO
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTHORS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT AND LICENSE
Copyright 2002-2023 by SPI, inc.

This program is free software; you may redistribute it and/or modify it under the terms of GPL v2.0 or later (see the COPYING file).